https://api.nexscope.ai/sf/keywordSummaryRun this API
Send a JSON request to execute this API and receive the documented response payload.
Endpoint
| Method | POST |
| Path | https://api.nexscope.ai/sf/keywordSummary |
| Auth | Bearer API key |
| Content-Type | application/json |
Request parameters
| Name | Type | Required | Description |
|---|---|---|---|
searchKeyword | string | required | Search keywords, maximum length 1000; try to use the target site language |
country | string | optional | Site: `US`, `UK`, `DE`, `CA`, `JP`, `FR`, `ES`, `IT`, `MX`, `AU`, `AE`, `BR`, `SA` Example: US |
asins | string | optional | ASIN filter list, comma separated; maximum length 1000 |
condition | string | optional | Only one condition can be passed at a time: `nfPosition`, `isSpAd`, `isVedioAd`, `isBrandAd`, `isPPCAd`, `isSearchRecommend`、`acAd`、`totalPeriod.in`、`nfKeywordCnt.total`/`.in`、`adKeywordCnt.total`/`.in`、`allSpKeywordCnt.total`/`.in`、`spKeywordCnt.total`/`.in`、`recSpKeywordCnt.total`/`.in`, `allSbKeywordCnt.total`/`.in`, `sbKeywordCnt.total`/`.in`, `sbvKeywordCnt.total`/`.in` |
last7d | boolean | optional | Whether to take the last 7 days; when it is `false`, use the date range Example: true |
startDate | string | optional | `yyyy-MM-dd`; takes effect when `last7d=false` |
endDate | string | optional | `yyyy-MM-dd`; works with `startDate` |
sortBy | string | optional | `totalKeywordNum`、`naturalKeywordNum`、`brandKeywordNum`、`vedioKeywordNum`、`acKeywordNum`、`erKeywordNum`、`trKeywordNum`、`sumScore`、`totalNfScore`、`totalSpSocre`、`totalBrandScore`、`totalVedioScore`、`totalAcScore`、`totalTrScore`、`totalErScore` |
pageNum | integer | optional | Page number Example: 1 |
pageSize | integer | optional | Number per page, range 10–100 Example: 100 |
desc | boolean | optional | Is descending order Example: true |
Code example
{
"asins": "B01NBNDC1T,B09VLJJPL6",
"country": "US",
"pageSize": 50,
"searchKeyword": "wireless charger"
}Response example
Platform response envelope. code 0 indicates success or acceptance; data contains the business result.
{
"code": 0,
"cost": "-1",
"data": {},
"msg": null,
"time": "2026-01-01 00:00:00",
"traceId": null,
"ts": "0"
}Response fields
Response field reference (55 fields)
| Name | Type | Required | Description |
|---|---|---|---|
code | string | optional | sf business return code, `"1"` indicates success |
msg | string | optional | news |
total | integer | optional | The actual amount of data returned this time |
data | array | optional | ASIN keyword traffic data array |
columns | array | optional | render column |
type | string | optional | rendering style |
title | string | optional | Title |
costTime | integer | optional | Time consuming (ms) |
costToken | integer | optional | Consume token |
asin | string | optional | ASIN code |
productTitle | string | optional | Product title |
productImageUrl | string | optional | Main image URL |
productPrice | number | optional | Product selling price |
customerRatingCount | integer | optional | Total customer ratings |
productStarRating | number | optional | Product star rating |
productRatingScore | number | optional | Product rating value |
productUpdateTime | string | optional | Product update time |
dataPeriodStartDate | string | optional | Data period start date |
totalExposureScore | number | optional | Total exposure score |
totalExposureRatio | number | optional | Total traffic share |
naturalSearchExposureScore | number | optional | Total organic search exposure score |
naturalSearchExposureRatio | number | optional | Natural search exposure ratio |
sponsoredProductsExposureScore | number | optional | SP ad impression total score |
sponsoredProductsExposureRatio | number | optional | SP advertising exposure ratio |
brandAdExposureScore | number | optional | Total brand advertising exposure score |
brandAdExposureRatio | number | optional | Brand advertising exposure proportion |
videoAdExposureScore | number | optional | Total video ad exposure score |
videoAdExposureRatio | number | optional | Video ad exposure ratio |
amazonsChoiceExposureScore | number | optional | AC exposure total score |
amazonsChoiceExposureRatio | number | optional | AC exposure ratio |
editorialRecommendationsExposureScore | number | optional | ER total exposure score |
editorialRecommendationsExposureRatio | number | optional | ER exposure ratio |
topRatedExposureScore | number | optional | TR exposure total score |
topRatedExposureRatio | number | optional | TR exposure ratio |
recommendPositionExposureScore | number | optional | Recommended position exposure total score |
recommendAdExposureScore | number | optional | Recommended advertising exposure score |
recommendAdExposureRatio | number | optional | Recommended advertising traffic share |
recommendNonadExposureScore | number | optional | Recommended position non-advertising exposure score |
recommendNonadExposureRatio | number | optional | Recommended non-advertising traffic share |
comprehensiveNaturalExposureScore | number | optional | Comprehensive organic traffic score |
comprehensiveNaturalExposureRatio | number | optional | Combined organic traffic share |
keywordTotalExposureScore | number | optional | The total score of this keyword |
keywordNaturalExposureScore | number | optional | Natural score for this keyword |
keywordSponsoredProductsExposureScore | number | optional | SP score of this keyword |
keywordBrandAdExposureScore | number | optional | Brand advertising score for this keyword |
keywordVideoAdExposureScore | number | optional | Video ad score for this keyword |
keywordAmazonsChoiceExposureScore | number | optional | AC score of this keyword |
keywordRecommendExposureScore | number | optional | Recommended position score for this keyword |
keywordRecommendAdExposureScore | number | optional | Advertising score for recommended positions for this keyword |
keywordRecommendNonadExposureScore | number | optional | This keyword recommendation position is not an advertising score |
keywordComprehensiveNaturalExposureScore | number | optional | Comprehensive natural score for this keyword |
ppcTrafficSources | array | optional | PPC Traffic Source Tags |
naturalSearchTrafficSources | array | optional | Organic search traffic source tag |
amazonRecommendationSources | array | optional | Amazon Recommended Source Mark |
promotionalDealSources | array | optional | Promotion source tag |
Responses
| Code | Description |
|---|---|
| 200 | HTTP request completed. Check JSON code; only 0 indicates business success or acceptance. |
| 400 | Request JSON or required API parameters are invalid. |
| 401 | API key is missing, invalid, or cannot be matched to a user. |
| 5xx | API execution or upstream service failed. |
Data source, freshness, and limitations
Source, freshness, coverage, rate limits, and estimation notes are not specified in this API definition unless they appear in the request or response field documentation above. Do not assume official marketplace data or real-time freshness when it is not explicitly documented.